@media (max-width: 991px) {
    .error-page {
        width: 100%;
    }

    .error-page > .headline {
        float: none;
        text-align: center;
    }

    .error-page > .error-content {
        margin-left: 0;
    }

    .error-page > .error-content > h3 {
        text-align: center;
    }

    .navbar-nav > .notifications-menu > .dropdown-menu > li.footer > a, .navbar-nav > .messages-menu > .dropdown-menu > li.footer > a, .navbar-nav > .tasks-menu > .dropdown-menu > li.footer > a {
        background: #fff !important;
        color: #444 !important;
    }

    .chart-legend > li {
        float: left;
        margin-right: 10px;
    }

    .navbar-nav > .user-menu > .dropdown-menu > .user-body a {
        background: #fff !important;
        color: #444 !important;
    }

    .navbar-nav > .user-menu > .dropdown-menu > .user-footer .btn-default:hover {
        background-color: #f9f9f9;
    }

    .navbar-custom-menu > .navbar-nav {
        float: right;
    }

    .navbar-custom-menu > .navbar-nav > li {
        position: static;
    }

    .navbar-custom-menu > .navbar-nav > li > .dropdown-menu {
        position: absolute;
        right: 5%;
        left: auto;
        border: 1px solid #ddd;
        background: #fff;
    }

    .content-header > .breadcrumb {
        position: relative;
        margin-top: 5px;
        top: 0;
        right: 0;
        float: none;
        background: #d2d6de;
        padding-left: 10px;
    }

    .content-header > .breadcrumb li:before {
        color: #97a0b3;
    }

    .main-header .navbar-custom-menu a, .main-header .navbar-right a {
        color: inherit;
        background: transparent;
    }

    .navbar-custom-menu .navbar-nav > li {
        float: left;
    }

    .navbar-custom-menu .navbar-nav {
        margin: 0;
        float: left;
    }

    .navbar-custom-menu .navbar-nav > li > a {
        padding-top: 15px;
        padding-bottom: 15px;
        line-height: 20px;
    }

    .navbar-collapse.pull-left {
        float: none !important;
    }

    .navbar-collapse.pull-left + .navbar-custom-menu {
        display: block;
        position: absolute;
        top: 0;
        right: 40px;
    }
}

@media (min-width: 768px) {
    .modal-content {
        -webkit-box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
        box-shadow: 0 2px 3px rgba(0, 0, 0, 0.125);
    }

    .sidebar-collapse .content-wrapper, .sidebar-collapse .right-side, .sidebar-collapse .main-footer {
        margin-left: 0;
    }

    .sidebar-mini.sidebar-collapse .content-wrapper, .sidebar-mini.sidebar-collapse .right-side, .sidebar-mini.sidebar-collapse .main-footer {
        margin-left: 50px !important;
        z-index: 840;
    }

    .sidebar-mini.sidebar-collapse .main-sidebar {
        -webkit-transform: translate(0, 0);
        -ms-transform: translate(0, 0);
        -o-transform: translate(0, 0);
        transform: translate(0, 0);
        width: 50px !important;
        z-index: 850;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li {
        position: relative;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li > a {
        margin-right: 0;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > span {
        border-top-right-radius: 4px;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li:not(.treeview) > a > span {
        border-bottom-right-radius: 4px;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li > .treeview-menu {
        padding-top: 5px;
        padding-bottom: 5px;
        border-bottom-right-radius: 4px;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > span:not(.pull-right), .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > .treeview-menu {
        display: block !important;
        position: absolute;
        width: 180px;
        left: 50px;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > span {
        top: 0;
        margin-left: -3px;
        padding: 12px 5px 12px 20px;
        background-color: inherit;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > .pull-right-container {
        float: right;
        width: auto !important;
        left: 200px !important;
        top: 10px !important;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > a > .pull-right-container > .label:not(:first-of-type) {
        display: none;
    }

    .sidebar-mini.sidebar-collapse .sidebar-menu > li:hover > .treeview-menu {
        top: 44px;
        margin-left: 0;
    }

    .sidebar-mini.sidebar-collapse .main-sidebar .user-panel > .info, .sidebar-mini.sidebar-collapse .sidebar-form, .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > span, .sidebar-mini.sidebar-collapse .sidebar-menu > li > .treeview-menu, .sidebar-mini.sidebar-collapse .sidebar-menu > li > a > .pull-right, .sidebar-mini.sidebar-collapse .sidebar-menu li.header {
        display: none !important;
        -webkit-transform: translateZ(0);
    }

    .sidebar-mini.sidebar-collapse .main-header .logo {
        width: 50px;
    }

    .sidebar-mini.sidebar-collapse .main-header .logo > .logo-mini {
        display: block;
        margin-left: -15px;
        margin-right: -15px;
        font-size: 18px;
    }

    .sidebar-mini.sidebar-collapse .main-header .logo > .logo-lg {
        display: none;
    }

    .sidebar-mini.sidebar-collapse .main-header .navbar {
        margin-left: 50px;
    }

    .control-sidebar-open .content-wrapper, .control-sidebar-open .right-side, .control-sidebar-open .main-footer {
        margin-right: 230px;
    }
}


@media (max-width: 767px) {
    .login-box, .register-box {
        width: 90%;
        margin-top: 20px;
    }

    .nav-tabs.control-sidebar-tabs {
        display: table;
    }

    .nav-tabs.control-sidebar-tabs > li {
        display: table-cell;
    }

    .control-sidebar {
        padding-top: 100px;
    }

    .main-header {
        position: relative;
    }

    .main-header .logo, .main-header .navbar {
        width: 100%;
        float: none;
    }

    .main-header .navbar {
        margin: 0;
    }

    .main-header .navbar-custom-menu {
        float: right;
    }

    .fixed .content-wrapper, .fixed .right-side {
        padding-top: 100px;
    }

    .sidebar-open .content-wrapper, .sidebar-open .right-side, .sidebar-open .main-footer {
        -webkit-transform: translate(230px, 0);
        -ms-transform: translate(230px, 0);
        -o-transform: translate(230px, 0);
        transform: translate(230px, 0);
    }

    .content-wrapper, .right-side, .main-footer {
        margin-left: 0;
    }

    .main-header .navbar-right {
        float: none;
    }

    .navbar-collapse .main-header .navbar-right {
        margin: 7.5px -15px;
    }

    .main-header .navbar-right > li {
        color: inherit;
        border: 0;
    }

    .main-sidebar, .left-side {
        padding-top: 100px;
    }

    .main-sidebar, .left-side {
        -webkit-transform: translate(-230px, 0);
        -ms-transform: translate(-230px, 0);
        -o-transform: translate(-230px, 0);
        transform: translate(-230px, 0);
    }

    .sidebar-open .main-sidebar, .sidebar-open .left-side {
        -webkit-transform: translate(0, 0);
        -ms-transform: translate(0, 0);
        -o-transform: translate(0, 0);
        transform: translate(0, 0);
    }

    .navbar-nav > .user-menu .user-image {
        float: none;
        margin-right: 0;
        margin-top: -8px;
        line-height: 10px;
    }

    .small-box {
        text-align: center;
    }

    .small-box .icon {
        display: none;
    }

    .small-box p {
        font-size: 12px;
    }
}

@media (max-width: 520px) {
    .box-item-filter {
        width: 100%;
    }

    .content-mobile {
        padding: 0;
    }
}

@media print {
    .no-print, .main-sidebar, .left-side, .main-header, .content-header {
        display: none !important;
    }

    .content-wrapper, .right-side, .main-footer {
        margin-left: 0 !important;
        min-height: 0 !important;
        -webkit-transform: translate(0, 0) !important;
        -ms-transform: translate(0, 0) !important;
        -o-transform: translate(0, 0) !important;
        transform: translate(0, 0) !important;
    }

    .fixed .content-wrapper, .fixed .right-side {
        padding-top: 0 !important;
    }

    .invoice {
        width: 100%;
        border: 0;
        margin: 0;
        padding: 0;
    }

    .invoice-col {
        float: left;
        width: 33.3333333%;
    }

    .table-responsive {
        overflow: auto;
    }

    .table-responsive > .table tr th, .table-responsive > .table tr td {
        white-space: normal !important;
    }
}
